import { InputHTMLAttributes, ReactElement } from 'react';
interface Props extends InputHTMLAttributes<HTMLInputElement> {
    label?: string;
    name?: string;
    isValid?: 'valid' | 'invalid' | 'unset';
    errorMsg?: string;
}
export default function EInput({ label, isValid, name, errorMsg, ...props }: Props): ReactElement;
export {};
