import { InputHTMLAttributes, ReactElement, SyntheticEvent } from 'react';
interface Props<T> extends InputHTMLAttributes<HTMLInputElement> {
    items: T[];
    label: string;
    filterKey: string;
    showAddItem?: boolean;
    onAddItemClick?: (e: SyntheticEvent<HTMLButtonElement, MouseEvent>) => void;
    renderItem?: (item: T, index?: number) => ReactElement;
    showDropdown?: boolean;
    isMulti?: boolean;
}
export default function ESelect<T>({ items, filterKey, label, renderItem, showAddItem, onAddItemClick, isMulti, showDropdown, ...rest }: Props<T>): ReactElement;
export {};
